Linux---NTP版本升级

Linux 专栏收录该内容
19 篇文章 0 订阅

漏洞扫描NTP4.2.6p5存在一些安全漏洞,目前最新版本版本4.2.8p15解决了对应的漏洞,决定升级,升级过程记录如下:

第一步:卸载老版本NTP,查找NTP安装包
rpm -qa | grep ntp

第二步:卸载安装包

yum erase ntp-4.2.6p5-25.el7.centos.x86_64

yum erase ntpdate-4.2.6p5-25.el7.centos.x86_64

第三步:安装新版本ntp-4.2.8p15(源码安装)
tar -zxvf ntp-4.2.8p15.tar.gz
cd cd ntp-4.2.8p15
./configure
make
make install

NTP安装过程如果报错,可以尝试执行下面的命令
rm –rf /usr/lib64/libssl.so
rm –rf /usr/lib64/libcrypto.so
ln -sv /usr/lib64/libssl.so.6   /usr/lib64/libssl.so
ln -sv /usr/lib64/libcrypto.so.1.0.1e  /usr/lib64/libcrypto.so

  • 0
    点赞
  • 0
    评论
  • 3
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 技术黑板 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值